#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n,l;
    cin >> n >> l;
    int izlaz = -1;
    for ( int i = 1 ; i <= n ; i++)
    {
        int x; cin >> x;
        if ( x <= l)
        {
            izlaz = i;
            break;
        }
    }
    cout << izlaz;
	return 0;
}